<core:FragmentDefinition xmlns="sap.m" xmlns:core="sap.ui.core">
    <Dialog id="idEdit" title="Edit Materiale">
        <Input
            id="editMaterialId"
            placeholder="Enter Material"
            liveChange="onLiveChangeMaterial"
            value="{material>/material}"
            class="sapUiSmallMarginBegin sapUiSmallMarginEnd">
            <suggestionItems>
                <SuggestionItem text="{material}"></SuggestionItem>
            </suggestionItems>
        </Input>
        <DatePicker
            id="editPeriodId"
            placeholder="Enter Period"
            valueFormat="yyyy-MM-dd"
            displayFormat="long"
            change="onLiveChangeMaterial"
            value="{material>/period}"
            class="sapUiSmallMarginBegin sapUiSmallMarginEnd">
        </DatePicker>
        <Input
            id="editQuantityId"
            placeholder="Enter Quantity"
            liveChange="onLiveChangeMaterial"
            value="{material>/packQuantity}"
            class="sapUiSmallMarginBegin sapUiSmallMarginEnd"
            suggestionItems="{/MaterialCollection}"         
            ariaLabelledBy="suggestionsInputLabel">
            <suggestionItems>
                <SuggestionItem text="{packQuantity}"></SuggestionItem>
            </suggestionItems>
        </Input>
        <Input
            id="editNRId"
            placeholder="Enter NR"
            liveChange="onLiveChangeMaterial"
            value="{material>/nr}"
            class="sapUiSmallMarginBegin sapUiSmallMarginEnd">
            <suggestionItems>
                <SuggestionItem text="{nr}"></SuggestionItem>
            </suggestionItems>
        </Input>
        <beginButton>
            <Button text="Close" press=".closeEdit" type="Emphasized"/>
        </beginButton>
        <endButton>
            <Button text="Edit" press=".updateMaterial" type="Emphasized"/>
        </endButton>
    </Dialog>
</core:FragmentDefinition>
